# bind - Neırssi 1.3 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

# bind

## Syntax

    BIND [-list] [-delete | -reset] [<key> [<command> [<data>]]]

## Parameters

`-list`: | Displays a list of all the bindable commands.
`-delete`: | Removes the binding.
`-reset`: | Reset a key to its default binding.

A name of the binding and the command to perform; if no parameter is given, the list of bindings will be displayed.

Details:

Adds or removes a binding; the binding itself is case-sensitive and may contain as many characters as you want.

Uppercase characters usually indicate that you need to keep the shift-key pressed to use the binding.

## Examples

    /BIND
    /BIND meta-c /CLEAR
    /BIND meta-q change_window 16
    /BIND -delete meta-y
    /BIND ^W^C /WINDOW NEW HIDE
    /BIND ^W^K /WINDOW KILL
    /BIND ^[[11~ command AWAY I'm off for today :)
    /BIND ^[[12~ command AWAY

## See also

ALIAS